### Method

# Tsparql SparqlConnection create_batch

#### Declaration [src]

    TrackerBatch*
    tracker_sparql_connection_create_batch (
      TrackerSparqlConnection* connection
    )

#### Description [src]

Creates a new `TrackerBatch` to store and execute SPARQL updates.

If the connection is readonly or cannot issue SPARQL updates, `NULL` will be returned.

#### Return value

Type: `TrackerBatch`

(nullable): A new `TrackerBatch`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.